#ifndef I_MOUSE
#define I_MOUSE

#include <time.h>

#define MOUSE_max_events  100
#define MOUSE_max_areas   100

/* MOUSE QUEUE */


/* Because the mouse operate asynchronously from the rest of the */
/* program, it is necessary to store the information comming from that */
/* hardware device in a queue to control buffering.  Below is the data */
/* structure which stores information about an event. */

typedef struct

{ unsigned char func;
  unsigned x,y;
  clock_t clock;

} MOUSE_event_type;

#endif
